Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss
Class CryptoManager.CertUsage

    java.lang.Object
      |
      +--org.mozilla.jss.CryptoManager.CertUsage

Enclosing class:
  CryptoManager

public static final class CryptoManager.CertUsage
extends java.lang.Object

CertUsage options for validation

Field Summary
`static CryptoManager.CertUsage` | `AnyCA`
`static CryptoManager.CertUsage` | `EmailRecipient`
`static CryptoManager.CertUsage` | `EmailSigner`
`private java.lang.String` | `name`
`static CryptoManager.CertUsage` | `ObjectSigner`
`static CryptoManager.CertUsage` | `ProtectedObjectSigner`
`static CryptoManager.CertUsage` | `SSLCA`
`static CryptoManager.CertUsage` | `SSLClient`
`static CryptoManager.CertUsage` | `SSLServer`
`static CryptoManager.CertUsage` | `SSLServerWithStepUp`
`static CryptoManager.CertUsage` | `StatusResponder`
`private int` | `usage`
`static CryptoManager.CertUsage` | `UserCertImport`
`static CryptoManager.CertUsage` | `VerifyCA`

Constructor Summary
`private` | `CryptoManager.CertUsage()`
`private` | `CryptoManager.CertUsage(int usage, java.lang.String name)`

Method Summary
`(package private) int` | `getUsage()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### usage

    private int usage

### name

    private java.lang.String name

### SSLClient

    public static final CryptoManager.CertUsage SSLClient

### SSLServer

    public static final CryptoManager.CertUsage SSLServer

### SSLServerWithStepUp

    public static final CryptoManager.CertUsage SSLServerWithStepUp

### SSLCA

    public static final CryptoManager.CertUsage SSLCA

### EmailSigner

    public static final CryptoManager.CertUsage EmailSigner

### EmailRecipient

    public static final CryptoManager.CertUsage EmailRecipient

### ObjectSigner

    public static final CryptoManager.CertUsage ObjectSigner

### UserCertImport

    public static final CryptoManager.CertUsage UserCertImport

### VerifyCA

    public static final CryptoManager.CertUsage VerifyCA

### ProtectedObjectSigner

    public static final CryptoManager.CertUsage ProtectedObjectSigner

### StatusResponder

    public static final CryptoManager.CertUsage StatusResponder

### AnyCA

    public static final CryptoManager.CertUsage AnyCA

Constructor Detail

### CryptoManager.CertUsage

    private CryptoManager.CertUsage()

### CryptoManager.CertUsage

    private CryptoManager.CertUsage(int usage,
                                    java.lang.String name)

Method Detail

### getUsage

    int getUsage()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD